﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Autodesk.Navisworks.Api;
using Autodesk.Navisworks.Api.Plugins;
namespace DemoWatcher
{
    [PluginAttribute("DemoWatcher","ADSK")]
    public class Class1:EventWatcherPlugin 
    {
        public override void OnLoaded()
        {
            Autodesk.Navisworks.Api.Application.ActiveDocumentChanged += new EventHandler<EventArgs>(Application_ActiveDocumentChanged);
            //throw new NotImplementedException();
        }

        public override void OnUnloading()
        {
            Autodesk.Navisworks.Api.Application.ActiveDocumentChanged -= Application_ActiveDocumentChanged;
            //throw new NotImplementedException();
        }

        public void Application_ActiveDocumentChanged(object sender, System.EventArgs e)
        {
            Autodesk.Navisworks.Api.Application.ActiveDocument.Models.CollectionChanged += ActiveDocument_Models_CollectionChanged; 
        }

        void ActiveDocument_Models_CollectionChanged(object sender, System.EventArgs e)
        {
            System.Windows.Forms.MessageBox.Show("ActiveDocument_Models_CollectionChanged");
        } 

    }
}
